Skip to main content

PUT /api/events/

Updates the details of an existing event.
Requires a valid Bearer token. Allowed roles: USER, ADMIN, ORGANIZER.

Path parameters

id
string
required
The GUID of the event to update.

Request body

categoryId
string
required
GUID of the category this event belongs to.
title
string
required
Updated title of the event.
description
string
required
Updated description of the event.
ubication
string
required
Updated physical location or address of the event.
date
string
required
Updated date and time of the event (ISO 8601 format).

Response fields

status
boolean
required
Indicates whether the request succeeded.
message
string
Human-readable result message.
data
object
required
The updated event object. See Get event for the full field list.
curl --request PUT \
  --url 'https://api.meetpoint.com/api/events/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "categoryId": "c1d2e3f4-0000-1111-2222-333344445555",
    "title": "Summer Music Festival 2026",
    "description": "An outdoor music festival featuring local and international artists.",
    "ubication": "Central Park, New York",
    "date": "2026-07-25T18:00:00Z"
  }'
{
  "status": true,
  "message": "Evento editado correctamente",
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "categoryId": "c1d2e3f4-0000-1111-2222-333344445555",
    "categoryName": "Music",
    "organizerId": "user-abc123",
    "organizerName": "Jane Doe",
    "organizerRating": 4.7,
    "organizerRatingsCount": 15,
    "title": "Summer Music Festival 2026",
    "description": "An outdoor music festival featuring local and international artists.",
    "ubication": "Central Park, New York",
    "date": "2026-07-25T18:00:00Z",
    "publicationDate": "2026-03-22T09:15:00Z",
    "attendancesCount": 120,
    "commentsCount": 34,
    "attendances": [],
    "comments": []
  }
}

Build docs developers (and LLMs) love